#
# spec file for package simde
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           simde
Version:        0.8.0+git20240222.c200c16
Release:        1.2
Summary:        Fallback implementation for SIMD intrinsics
License:        MIT
URL:            https://github.com/simd-everywhere/%{name}
Source:         %{name}-%{version}.tar.gz
BuildRequires:  meson
BuildRequires:  c++_compiler

%description
Portable implementations of SIMD intrinsics.

%package devel
Summary:        Fallback implementation for SIMD intrinsics

%description devel
The SIMDe header-only library provides portable implementations of SIMD
intrinsics on hardware which do not natively support them, such as calling
SSE functions on ARM. There is no performance penalty if the hardware supports
the native implementation (e.g. SSE/AVX runs at full speed on x86, NEON on
ARM, etc.).

%prep
%autosetup

%build
%meson
%meson_build

%install
%meson_install

%files devel
%{_includedir}/%{name}
%{_libdir}/pkgconfig/simde.pc
%license COPYING
%doc README.md

%changelog
* Mon Feb 26 2024 Jan Engelhardt <jengelh@inai.de>
- Trim unnecessary main package
* Mon Feb 26 2024 scott.bradnick@suse.com
- Update to version 0.8.0-rc1+git20240222.c200c16:
  * arm/neon abs: negating INT_MIN is undefined behavior
  * docs: explain how to target a single test
  * build(deps): bump actions/checkout from 3 to 4
  * gh-actions: add new repo for clang-16
  * gh-actions emscripten: use older release
  * docker: ignore common build paths
  * build(deps): bump github/codeql-action from 2 to 3 (#1138)
  * build(deps): bump actions/setup-python from 4 to 5 (#1137)
  * build(deps): bump actions/setup-dotnet from 3 to 4 (#1135)
  * build(deps): bump ad-m/github-push-action from 0.6.0 to 0.8.0 (#1134)
* Mon Feb 26 2024 Scott Bradnick <scott.bradnick@suse.com>
- Initial version from upstream.
